Bug 1848117 (CVE-2020-14415) - CVE-2020-14415 QEMU: division by zero in oss_write() in audio/ossaudio.c
Summary: CVE-2020-14415 QEMU: division by zero in oss_write() in audio/ossaudio.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-14415
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1848118 1910686
Blocks: 1792938
TreeView+ depends on / blocked
 
Reported: 2020-06-17 17:28 UTC by Mauro Matteo Cascella
Modified: 2020-12-26 07:55 UTC (History)
35 users (show)

Fixed In Version: qemu 5.0.0
Doc Type: If docs needed, set a value
Doc Text:
A divide-by-zero flaw was found in the Open Sound System (OSS) implementation of the QEMU emulator. A guest user or process may use this flaw to crash the QEMU process on the host, resulting in a denial of service.
Clone Of:
Environment:
Last Closed: 2020-06-17 23:21:02 UTC


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2020-06-17 17:28:25 UTC
A divide-by-zero flaw was found in function oss_write() in audio/ossaudio.c, resulting in a possible crash and denial of service scenario.

Upstream fix:
https://git.qemu.org/?p=qemu.git;a=commit;h=7a4ede0047a8613b0e3b72c9d351038f013dd357

Comment 1 Mauro Matteo Cascella 2020-06-17 17:28:59 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1848118]

Comment 2 Mauro Matteo Cascella 2020-06-17 17:31:35 UTC
Acknowledgments:

Name: Ziming Zhang

Comment 3 Mauro Matteo Cascella 2020-06-18 09:46:05 UTC
Statement:

Open Sound System (OSS) is deprecated in favor of ALSA and disabled in Red Hat products. This flaw did not affect the following versions of QEMU as they did not include support for OSS:
* `qemu-kvm-ma` as shipped with Red Hat Enterprise Linux 7.
* `qemu-kvm-rhev` as shipped with Red Hat Virtualization and Red Hat OpenStack.
* `qemu-kvm` as shipped with Red Hat Enterprise Linux 6, 7 and 8.
* `virt:8.2/qemu-kvm` as shipped with RHEL Advanced Virtualization.


Note You need to log in before you can comment on or make changes to this bug.